<?
$id = $_SESSION['id'];
if(isset($_POST['update'])){
	mysql_query("update insti_prod set insti_codigo=$id, insti_prod_descr='$i034a' where insti_prod_codigo=".$_POST['update'], $link);
	$prod_id= $_POST['update'];
} else {
	mysql_query("insert into insti_prod(insti_codigo, insti_prod_descr) values ($id, '$i034a')", $link);
	$prod_id= mysql_insert_id();
}

$q = mysql_query("select pobl_meta_codigo from pobl_meta", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);

mysql_query("delete from benef_prod where insti_prod_codigo=".$prod_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i036".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into benef_prod(insti_prod_codigo, pobl_meta_codigo) values ($prod_id ,$_POST[$cad])", $link);
	}
}

$q = mysql_query("select vocacion_codigo from vocacion", $link);
$n = mysql_num_rows($q);
mysql_free_result($q);

mysql_query("delete from alcance_prod where insti_prod_codigo=".$prod_id, $link);/////////////
for ($i=1; $i<=$n; $i++){
	$cad = "i037".$i;
	if(!empty($_POST[$cad])){
		mysql_query("insert into alcance_prod(insti_prod_codigo, vocacion_codigo) values ($prod_id ,$_POST[$cad])", $link);
	}
}
if(isset($aceptaro)){
		header("location:productos.htm");
	} else if(isset($aceptar)){
		header("location:tup.htm");
	}
?>